io.undertow.server

## Interface DelegateOpenListener

All Superinterfaces:
  org.xnio.ChannelListener<org.xnio.StreamConnection>, EventListener, OpenListener

All Known Implementing Classes:
  Http2OpenListener, HttpOpenListener

    public interface DelegateOpenListener
    extends OpenListener

An open listener that handles being delegated to, e.g. by NPN or ALPN

Author:
  Stuart Douglas

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.xnio.ChannelListener

`org.xnio.ChannelListener.Setter<T extends Channel>, org.xnio.ChannelListener.SimpleSetter<T extends Channel>`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleEvent(org.xnio.StreamConnection channel, PooledByteBuffer additionalData)`

### Methods inherited from interface io.undertow.server.OpenListener

`closeConnections, getBufferPool, getConnectorStatistics, getRootHandler, getUndertowOptions, setRootHandler, setUndertowOptions`

### Methods inherited from interface org.xnio.ChannelListener

`handleEvent`

### Method Detail

#### handleEvent

    void handleEvent(org.xnio.StreamConnection channel,
                     PooledByteBuffer additionalData)

Parameters:
  `channel` - The channel
  `additionalData` - Any additional data that was read from the stream as part of the handshake process